/*---------------------------------------------------------------------------*\
|                                             (C) Alain Rykaert - MAR00-MAR00 |
\*---------------------------------------------------------------------------*/
    Version = '1.01'
    Say '* ALSC Version:' Version

 /*=======================*/
    LogFile = 'alsc.log'
 /*=======================*/

    Parse Upper Arg DCName

    If DCName = ''
      Then Do
             Say '*'
             Say '* All Lan Servers Check'
             Say '*'
             Say '* Usage: ASLC {ServerName}'
             Say '*'
             Say '* Sample: ALSC \\DC01'
             Say '*'
             Exit
           End
      Else Nop

    If RxFuncQuery('LoadLSRXUTFuncs')
      Then Do
             Call RxFuncAdd 'LoadLsRxutFuncs', 'LSRXUT', 'LoadLsRxutFuncs'
             Call LoadLsRxutFuncs
           End
      Else Nop

    If RxFuncQuery('RxLoadFuncs')
      Then Do
             Call RxFuncAdd 'RxLoadFuncs', 'RXUTILS', 'RxLoadFuncs'
             Call RxLoadFuncs
           End
      Else Nop

    Say '* Getting all servers member of the Domain'
    If NetGetInfo(340, 'ServerName', '\\'DCName, 'Servers') = 0
      Then Do
            'if exist' LogFile 'del' LogFile
             Call RxStemSort 'ServerName'
             Do i = 1 to ServerName.0
               Counter = '('Right(i,Length(ServerName.0))'/'Right(ServerName.0,Length(ServerName.0))')'
               Say '>' Counter ServerName.i
              '@call lsc' ServerName.i '| tee' LogFile
             End
           End
      Else Say RC

    Exit

